Package lxml :: Module objectify :: Class ObjectifiedDataElement |
[frames] | no frames]

# Class ObjectifiedDataElement

        object --+
                 |
    etree._Element --+
                     |
     etree.ElementBase --+
                         |
        ObjectifiedElement --+
                             |
                            ObjectifiedDataElement

Known Subclasses:
  - BoolElement
  - , NumberElement
  - , NoneElement
  - , StringElement

This is the base class for all data type Elements. Subclasses should override the 'pyval' property and possibly the __str__ method.

Instance Methods
a new object with type S, a subtype of T |
__new__(T, S, ...) |
__repr__(self) repr(x) |
__str__(...) str(x) |
Inherited from `ObjectifiedElement`: `__delattr__`, `__delitem__`, `__getattr__`, `__getattribute__`, `__getitem__`, `__iter__`, `__len__`, `__setattr__`, `__setitem__`, `addattr`, `countchildren`, `descendantpaths`, `find`, `findall`, `findtext`, `getchildren`, `iterfind` Inherited from `etree._Element`: `__contains__`, `__copy__`, `__deepcopy__`, `__nonzero__`, `__reversed__`, `addnext`, `addprevious`, `append`, `clear`, `extend`, `get`, `getiterator`, `getnext`, `getparent`, `getprevious`, `getroottree`, `index`, `insert`, `items`, `iter`, `iterancestors`, `iterchildren`, `iterdescendants`, `itersiblings`, `itertext`, `keys`, `makeelement`, `remove`, `replace`, `set`, `values`, `xpath` Inherited from `object`: `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`

Properties
| pyval
Inherited from `ObjectifiedElement`: `text` Inherited from `etree._Element`: `attrib`, `nsmap`, `prefix`, `sourceline`, `tag`, `tail` Inherited from `object`: `__class__`

Method Details

### __new__(T, S, ...) |
Returns: a new object with type S, a subtype of T Overrides: object.__new__

### __repr__(self) (Representation operator) |
repr(x) Overrides: object.__repr__ (inherited documentation)

### __str__(...) (Informal representation operator) |
str(x) Overrides: object.__str__ (inherited documentation)